commit d647b3f5d279196d0e4caa09554018b91d70c365
parent 00791f716d79b124588a493dcf56f459a65b2ebb
Author: Andrew Laack <andrew.laack@imbue.com>
Date: Sun, 12 Oct 2025 22:37:46 -0500
Merge remote-tracking branch 'refs/remotes/origin/master'
Diffstat:
6 files changed, 28 insertions(+), 4 deletions(-)
diff --git a/big-downloader.sh b/big-downloader.sh
@@ -1,7 +1,11 @@
#!/bin/bash
-while [ true ]; do
- cd /dev/shm
- yt-dlp https://www.youtube.com/watch?v=VlOjcOp9a5U -o $1.mp4
- rm -rf $1*
+URL_FILE="$HOME/bin/resources/urls"
+
+while true; do
+ cd /dev/shm || exit 1
+
+ url=$(shuf -n 1 "$URL_FILE")
+ yt-dlp "$url" -o "$1.mp4"
+ rm -rf "$1"*
done
diff --git a/installers/arch-install.sh b/installers/arch-install.sh
@@ -44,6 +44,7 @@ git clone ssh://brgr/home/shared/git/public-repos/dotfiles.git
mv dotfiles .config
rm .xinitrc
ln .config/xinitrc .xinitrc
+ln .config/inputrc .inputrc
sudo pacman -S ttf-fira-code
sudo pacman -S pavucontrol
diff --git a/mac-sync.sh b/mac-sync.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+echo "==== RUNNING ===="
+unison ~/syncing ssh://andrew@brgr//home/shared/fileSharing/syncing -auto -batch
+echo "==== STOPPING ===="
+
diff --git a/resources/ssh-options.txt b/resources/ssh-options.txt
@@ -0,0 +1,4 @@
+andrew@brgr
+andrew@deepthought
+andrew@arch
+andrewlaack@Andrews-MacBook-Pro.local
diff --git a/resources/urls b/resources/urls
@@ -0,0 +1,4 @@
+https://www.youtube.com/watch?v=56lkofpjOAs&pp=ygUUbG9uZ2VzdCB5b3R1YmUgdmlkZW8%3D
+https://www.youtube.com/watch?v=3xPkwNu2o8g&pp=ygUUbG9uZ2VzdCB5b3R1YmUgdmlkZW8%3D
+https://www.youtube.com/watch?v=cElhIDdGz7M&pp=ygUUbG9uZ2VzdCB5b3R1YmUgdmlkZW8%3D
+https://www.youtube.com/watch?v=JTEQQrtXrYM&pp=ygUUbG9uZ2VzdCB5b3R1YmUgdmlkZW8%3D
diff --git a/ssh-manager.sh b/ssh-manager.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+SELECTION=$(cat ~/bin/resources/ssh-options.txt | fzf)
+
+ssh $SELECTION